Index: uspace/lib/c/generic/inet/tcp.c
===================================================================
--- uspace/lib/c/generic/inet/tcp.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/inet/tcp.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,5 +42,5 @@
 
 static void tcp_cb_conn(ipc_callid_t, ipc_call_t *, void *);
-static errno_t tcp_conn_fibril(void *);
+static int tcp_conn_fibril(void *);
 
 /** Incoming TCP connection info
@@ -59,7 +59,7 @@
  *
  * @param tcp TCP service
- * @return EOK on success or an error code
- */
-static errno_t tcp_callback_create(tcp_t *tcp)
+ * @return EOK on success or negative error code
+ */
+static int tcp_callback_create(tcp_t *tcp)
 {
 	async_exch_t *exch = async_exchange_begin(tcp->sess);
@@ -68,5 +68,5 @@
 	
 	port_id_t port;
-	errno_t rc = async_create_callback_port(exch, INTERFACE_TCP_CB, 0, 0,
+	int rc = async_create_callback_port(exch, INTERFACE_TCP_CB, 0, 0,
 	    tcp_cb_conn, tcp, &port);
 	
@@ -76,5 +76,5 @@
 		return rc;
 
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 
@@ -88,9 +88,9 @@
  *         cannot be contacted
  */
-errno_t tcp_create(tcp_t **rtcp)
+int tcp_create(tcp_t **rtcp)
 {
 	tcp_t *tcp;
 	service_id_t tcp_svcid;
-	errno_t rc;
+	int rc;
 
 	tcp = calloc(1, sizeof(tcp_t));
@@ -161,5 +161,5 @@
  * @return EOK on success, ENOMEM if out of memory
  */
-static errno_t tcp_conn_new(tcp_t *tcp, sysarg_t id, tcp_cb_t *cb, void *arg,
+static int tcp_conn_new(tcp_t *tcp, sysarg_t id, tcp_cb_t *cb, void *arg,
     tcp_conn_t **rconn)
 {
@@ -205,7 +205,7 @@
  * @param rconn Place to store pointer to new connection
  *
- * @return EOK on success or an error code.
- */
-errno_t tcp_conn_create(tcp_t *tcp, inet_ep2_t *epp, tcp_cb_t *cb, void *arg,
+ * @return EOK on success or negative error code.
+ */
+int tcp_conn_create(tcp_t *tcp, inet_ep2_t *epp, tcp_cb_t *cb, void *arg,
     tcp_conn_t **rconn)
 {
@@ -216,10 +216,10 @@
 	exch = async_exchange_begin(tcp->sess);
 	aid_t req = async_send_0(exch, TCP_CONN_CREATE, &answer);
-	errno_t rc = async_data_write_start(exch, (void *)epp,
+	sysarg_t rc = async_data_write_start(exch, (void *)epp,
 	    sizeof(inet_ep2_t));
 	async_exchange_end(exch);
 
 	if (rc != EOK) {
-		errno_t rc_orig;
+		sysarg_t rc_orig;
 		async_wait_for(req, &rc_orig);
 		if (rc_orig != EOK)
@@ -240,5 +240,5 @@
 	return EOK;
 error:
-	return (errno_t) rc;
+	return (int) rc;
 }
 
@@ -260,5 +260,5 @@
 
 	exch = async_exchange_begin(conn->tcp->sess);
-	errno_t rc = async_req_1_0(exch, TCP_CONN_DESTROY, conn->id);
+	sysarg_t rc = async_req_1_0(exch, TCP_CONN_DESTROY, conn->id);
 	async_exchange_end(exch);
 
@@ -275,5 +275,5 @@
  * @return EOK on success, EINVAL if no connection with the given ID exists
  */
-static errno_t tcp_conn_get(tcp_t *tcp, sysarg_t id, tcp_conn_t **rconn)
+static int tcp_conn_get(tcp_t *tcp, sysarg_t id, tcp_conn_t **rconn)
 {
 	list_foreach(tcp->conn, ltcp, tcp_conn_t, conn) {
@@ -316,7 +316,7 @@
  * @param rlst Place to store pointer to new listener
  *
- * @return EOK on success or an error code
- */
-errno_t tcp_listener_create(tcp_t *tcp, inet_ep_t *ep, tcp_listen_cb_t *lcb,
+ * @return EOK on success or negative error code
+ */
+int tcp_listener_create(tcp_t *tcp, inet_ep_t *ep, tcp_listen_cb_t *lcb,
     void *larg, tcp_cb_t *cb, void *arg, tcp_listener_t **rlst)
 {
@@ -331,10 +331,10 @@
 	exch = async_exchange_begin(tcp->sess);
 	aid_t req = async_send_0(exch, TCP_LISTENER_CREATE, &answer);
-	errno_t rc = async_data_write_start(exch, (void *)ep,
+	sysarg_t rc = async_data_write_start(exch, (void *)ep,
 	    sizeof(inet_ep_t));
 	async_exchange_end(exch);
 
 	if (rc != EOK) {
-		errno_t rc_orig;
+		sysarg_t rc_orig;
 		async_wait_for(req, &rc_orig);
 		if (rc_orig != EOK)
@@ -360,5 +360,5 @@
 error:
 	free(lst);
-	return (errno_t) rc;
+	return (int) rc;
 }
 
@@ -377,5 +377,5 @@
 
 	exch = async_exchange_begin(lst->tcp->sess);
-	errno_t rc = async_req_1_0(exch, TCP_LISTENER_DESTROY, lst->id);
+	sysarg_t rc = async_req_1_0(exch, TCP_LISTENER_DESTROY, lst->id);
 	async_exchange_end(exch);
 
@@ -392,5 +392,5 @@
  * @return EOK on success, EINVAL if no listener with the given ID is found
  */
-static errno_t tcp_listener_get(tcp_t *tcp, sysarg_t id, tcp_listener_t **rlst)
+static int tcp_listener_get(tcp_t *tcp, sysarg_t id, tcp_listener_t **rlst)
 {
 	list_foreach(tcp->listener, ltcp, tcp_listener_t, lst) {
@@ -424,5 +424,5 @@
  * @return EOK if connection is established, EIO otherwise
  */
-errno_t tcp_conn_wait_connected(tcp_conn_t *conn)
+int tcp_conn_wait_connected(tcp_conn_t *conn)
 {
 	fibril_mutex_lock(&conn->lock);
@@ -446,10 +446,10 @@
  * @param bytes Data size in bytes
  *
- * @return EOK on success or an error code
- */
-errno_t tcp_conn_send(tcp_conn_t *conn, const void *data, size_t bytes)
-{
-	async_exch_t *exch;
-	errno_t rc;
+ * @return EOK on success or negative error code
+ */
+int tcp_conn_send(tcp_conn_t *conn, const void *data, size_t bytes)
+{
+	async_exch_t *exch;
+	sysarg_t rc;
 
 	exch = async_exchange_begin(conn->tcp->sess);
@@ -478,12 +478,12 @@
  *
  * @param conn Connection
- * @return EOK on success or an error code
- */
-errno_t tcp_conn_send_fin(tcp_conn_t *conn)
+ * @return EOK on success or negative error code
+ */
+int tcp_conn_send_fin(tcp_conn_t *conn)
 {
 	async_exch_t *exch;
 
 	exch = async_exchange_begin(conn->tcp->sess);
-	errno_t rc = async_req_1_0(exch, TCP_CONN_SEND_FIN, conn->id);
+	sysarg_t rc = async_req_1_0(exch, TCP_CONN_SEND_FIN, conn->id);
 	async_exchange_end(exch);
 
@@ -494,12 +494,12 @@
  *
  * @param conn Connection
- * @return EOK on success or an error code
- */
-errno_t tcp_conn_push(tcp_conn_t *conn)
+ * @return EOK on success or negative error code
+ */
+int tcp_conn_push(tcp_conn_t *conn)
 {
 	async_exch_t *exch;
 
 	exch = async_exchange_begin(conn->tcp->sess);
-	errno_t rc = async_req_1_0(exch, TCP_CONN_PUSH, conn->id);
+	sysarg_t rc = async_req_1_0(exch, TCP_CONN_PUSH, conn->id);
 	async_exchange_end(exch);
 
@@ -510,12 +510,12 @@
  *
  * @param conn Connection
- * @return EOK on success or an error code
- */
-errno_t tcp_conn_reset(tcp_conn_t *conn)
+ * @return EOK on success or negative error code
+ */
+int tcp_conn_reset(tcp_conn_t *conn)
 {
 	async_exch_t *exch;
 
 	exch = async_exchange_begin(conn->tcp->sess);
-	errno_t rc = async_req_1_0(exch, TCP_CONN_RESET, conn->id);
+	sysarg_t rc = async_req_1_0(exch, TCP_CONN_RESET, conn->id);
 	async_exchange_end(exch);
 
@@ -538,7 +538,7 @@
  *
  * @return EOK on success, EAGAIN if no received data is pending, or other
- *         error code in case of other error
- */
-errno_t tcp_conn_recv(tcp_conn_t *conn, void *buf, size_t bsize, size_t *nrecv)
+ *         negative error code in case of other error
+ */
+int tcp_conn_recv(tcp_conn_t *conn, void *buf, size_t bsize, size_t *nrecv)
 {
 	async_exch_t *exch;
@@ -553,5 +553,5 @@
 	exch = async_exchange_begin(conn->tcp->sess);
 	aid_t req = async_send_1(exch, TCP_CONN_RECV, conn->id, &answer);
-	errno_t rc = async_data_read_start(exch, buf, bsize);
+	int rc = async_data_read_start(exch, buf, bsize);
 	async_exchange_end(exch);
 
@@ -562,5 +562,5 @@
 	}
 
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	if (retval != EOK) {
@@ -586,7 +586,7 @@
  * @param nrecv Place to store actual number of received bytes
  *
- * @return EOK on success or an error code
- */
-errno_t tcp_conn_recv_wait(tcp_conn_t *conn, void *buf, size_t bsize,
+ * @return EOK on success or negative error code
+ */
+int tcp_conn_recv_wait(tcp_conn_t *conn, void *buf, size_t bsize,
     size_t *nrecv)
 {
@@ -602,5 +602,5 @@
 	exch = async_exchange_begin(conn->tcp->sess);
 	aid_t req = async_send_1(exch, TCP_CONN_RECV_WAIT, conn->id, &answer);
-	errno_t rc = async_data_read_start(exch, buf, bsize);
+	int rc = async_data_read_start(exch, buf, bsize);
 	async_exchange_end(exch);
 
@@ -616,5 +616,5 @@
 	}
 
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	if (retval != EOK) {
@@ -641,5 +641,5 @@
 	tcp_conn_t *conn;
 	sysarg_t conn_id;
-	errno_t rc;
+	int rc;
 
 	conn_id = IPC_GET_ARG1(*icall);
@@ -669,5 +669,5 @@
 	tcp_conn_t *conn;
 	sysarg_t conn_id;
-	errno_t rc;
+	int rc;
 
 	conn_id = IPC_GET_ARG1(*icall);
@@ -697,5 +697,5 @@
 	tcp_conn_t *conn;
 	sysarg_t conn_id;
-	errno_t rc;
+	int rc;
 
 	conn_id = IPC_GET_ARG1(*icall);
@@ -725,5 +725,5 @@
 	tcp_conn_t *conn;
 	sysarg_t conn_id;
-	errno_t rc;
+	int rc;
 
 	conn_id = IPC_GET_ARG1(*icall);
@@ -769,5 +769,5 @@
 	fid_t fid;
 	tcp_in_conn_t *cinfo;
-	errno_t rc;
+	int rc;
 
 	lst_id = IPC_GET_ARG1(*icall);
@@ -863,5 +863,5 @@
  * @param arg Argument, incoming connection information (@c tcp_in_conn_t)
  */
-static errno_t tcp_conn_fibril(void *arg)
+static int tcp_conn_fibril(void *arg)
 {
 	tcp_in_conn_t *cinfo = (tcp_in_conn_t *)arg;
Index: uspace/lib/c/generic/inet/udp.c
===================================================================
--- uspace/lib/c/generic/inet/udp.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/inet/udp.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -46,7 +46,7 @@
  *
  * @param udp UDP service
- * @return EOK on success or an error code
- */
-static errno_t udp_callback_create(udp_t *udp)
+ * @return EOK on success or negative error code
+ */
+static int udp_callback_create(udp_t *udp)
 {
 	async_exch_t *exch = async_exchange_begin(udp->sess);
@@ -55,5 +55,5 @@
 	
 	port_id_t port;
-	errno_t rc = async_create_callback_port(exch, INTERFACE_UDP_CB, 0, 0,
+	int rc = async_create_callback_port(exch, INTERFACE_UDP_CB, 0, 0,
 	    udp_cb_conn, udp, &port);
 	
@@ -63,5 +63,5 @@
 		return rc;
 
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 
@@ -75,9 +75,9 @@
  *         cannot be contacted
  */
-errno_t udp_create(udp_t **rudp)
+int udp_create(udp_t **rudp)
 {
 	udp_t *udp;
 	service_id_t udp_svcid;
-	errno_t rc;
+	int rc;
 
 	udp = calloc(1, sizeof(udp_t));
@@ -158,7 +158,7 @@
  * @param rassoc Place to store pointer to new association
  *
- * @return EOK on success or an error code.
- */
-errno_t udp_assoc_create(udp_t *udp, inet_ep2_t *epp, udp_cb_t *cb, void *arg,
+ * @return EOK on success or negative error code.
+ */
+int udp_assoc_create(udp_t *udp, inet_ep2_t *epp, udp_cb_t *cb, void *arg,
     udp_assoc_t **rassoc)
 {
@@ -173,10 +173,10 @@
 	exch = async_exchange_begin(udp->sess);
 	aid_t req = async_send_0(exch, UDP_ASSOC_CREATE, &answer);
-	errno_t rc = async_data_write_start(exch, (void *)epp,
+	sysarg_t rc = async_data_write_start(exch, (void *)epp,
 	    sizeof(inet_ep2_t));
 	async_exchange_end(exch);
 
 	if (rc != EOK) {
-		errno_t rc_orig;
+		sysarg_t rc_orig;
 		async_wait_for(req, &rc_orig);
 		if (rc_orig != EOK)
@@ -200,5 +200,5 @@
 error:
 	free(assoc);
-	return (errno_t) rc;
+	return (int) rc;
 }
 
@@ -220,5 +220,5 @@
 
 	exch = async_exchange_begin(assoc->udp->sess);
-	errno_t rc = async_req_1_0(exch, UDP_ASSOC_DESTROY, assoc->id);
+	sysarg_t rc = async_req_1_0(exch, UDP_ASSOC_DESTROY, assoc->id);
 	async_exchange_end(exch);
 
@@ -232,10 +232,10 @@
  * @param flags Flags
  */
-errno_t udp_assoc_set_nolocal(udp_assoc_t *assoc)
+int udp_assoc_set_nolocal(udp_assoc_t *assoc)
 {
 	async_exch_t *exch;
 
 	exch = async_exchange_begin(assoc->udp->sess);
-	errno_t rc = async_req_1_0(exch, UDP_ASSOC_SET_NOLOCAL, assoc->id);
+	sysarg_t rc = async_req_1_0(exch, UDP_ASSOC_SET_NOLOCAL, assoc->id);
 	async_exchange_end(exch);
 
@@ -250,7 +250,7 @@
  * @param bytes Message size in bytes
  *
- * @return EOK on success or an error code
- */
-errno_t udp_assoc_send_msg(udp_assoc_t *assoc, inet_ep_t *dest, void *data,
+ * @return EOK on success or negative error code
+ */
+int udp_assoc_send_msg(udp_assoc_t *assoc, inet_ep_t *dest, void *data,
     size_t bytes)
 {
@@ -260,5 +260,5 @@
 	aid_t req = async_send_1(exch, UDP_ASSOC_SEND_MSG, assoc->id, NULL);
 
-	errno_t rc = async_data_write_start(exch, (void *)dest,
+	sysarg_t rc = async_data_write_start(exch, (void *)dest,
 	    sizeof(inet_ep_t));
 	if (rc != EOK) {
@@ -316,7 +316,7 @@
  * @param bsize Buffer size
  *
- * @return EOK on success or an error code.
- */
-errno_t udp_rmsg_read(udp_rmsg_t *rmsg, size_t off, void *buf, size_t bsize)
+ * @return EOK on success or negative error code.
+ */
+int udp_rmsg_read(udp_rmsg_t *rmsg, size_t off, void *buf, size_t bsize)
 {
 	async_exch_t *exch;
@@ -325,5 +325,5 @@
 	exch = async_exchange_begin(rmsg->udp->sess);
 	aid_t req = async_send_1(exch, UDP_RMSG_READ, off, &answer);
-	errno_t rc = async_data_read_start(exch, buf, bsize);
+	int rc = async_data_read_start(exch, buf, bsize);
 	async_exchange_end(exch);
 
@@ -333,5 +333,5 @@
 	}
 
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	if (retval != EOK) {
@@ -380,7 +380,7 @@
  * @param rmsg Place to store message information
  *
- * @return EOK on success or an error code
- */
-static errno_t udp_rmsg_info(udp_t *udp, udp_rmsg_t *rmsg)
+ * @return EOK on success or negative error code
+ */
+static int udp_rmsg_info(udp_t *udp, udp_rmsg_t *rmsg)
 {
 	async_exch_t *exch;
@@ -390,5 +390,5 @@
 	exch = async_exchange_begin(udp->sess);
 	aid_t req = async_send_0(exch, UDP_RMSG_INFO, &answer);
-	errno_t rc = async_data_read_start(exch, &ep, sizeof(inet_ep_t));
+	int rc = async_data_read_start(exch, &ep, sizeof(inet_ep_t));
 	async_exchange_end(exch);
 
@@ -398,5 +398,5 @@
 	}
 
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	if (retval != EOK)
@@ -413,12 +413,12 @@
  *
  * @param udp UDP client
- * @return EOK on success or an error code
- */
-static errno_t udp_rmsg_discard(udp_t *udp)
+ * @return EOK on success or negative error code
+ */
+static int udp_rmsg_discard(udp_t *udp)
 {
 	async_exch_t *exch;
 
 	exch = async_exchange_begin(udp->sess);
-	errno_t rc = async_req_0_0(exch, UDP_RMSG_DISCARD);
+	sysarg_t rc = async_req_0_0(exch, UDP_RMSG_DISCARD);
 	async_exchange_end(exch);
 
@@ -434,5 +434,5 @@
  * @return EOK on success, EINVAL if no association with the given ID exists
  */
-static errno_t udp_assoc_get(udp_t *udp, sysarg_t id, udp_assoc_t **rassoc)
+static int udp_assoc_get(udp_t *udp, sysarg_t id, udp_assoc_t **rassoc)
 {
 	list_foreach(udp->assoc, ludp, udp_assoc_t, assoc) {
@@ -459,5 +459,5 @@
 	udp_rmsg_t rmsg;
 	udp_assoc_t *assoc;
-	errno_t rc;
+	int rc;
 
 	while (true) {
Index: uspace/lib/c/generic/inetcfg.c
===================================================================
--- uspace/lib/c/generic/inetcfg.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/inetcfg.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -39,5 +39,5 @@
 static async_sess_t *inetcfg_sess = NULL;
 
-static errno_t inetcfg_get_ids_once(sysarg_t method, sysarg_t arg1,
+static int inetcfg_get_ids_once(sysarg_t method, sysarg_t arg1,
     sysarg_t *id_buf, size_t buf_size, size_t *act_size)
 {
@@ -46,14 +46,14 @@
 	ipc_call_t answer;
 	aid_t req = async_send_1(exch, method, arg1, &answer);
-	errno_t rc = async_data_read_start(exch, id_buf, buf_size);
-
-	async_exchange_end(exch);
-
-	if (rc != EOK) {
-		async_forget(req);
-		return rc;
-	}
-
-	errno_t retval;
+	int rc = async_data_read_start(exch, id_buf, buf_size);
+
+	async_exchange_end(exch);
+
+	if (rc != EOK) {
+		async_forget(req);
+		return rc;
+	}
+
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 
@@ -74,7 +74,7 @@
  * @param data		Place to store pointer to array of IDs
  * @param count		Place to store number of IDs
- * @return 		EOK on success or an error code
+ * @return 		EOK on success or negative error code
  */
-static errno_t inetcfg_get_ids_internal(sysarg_t method, sysarg_t arg1,
+static int inetcfg_get_ids_internal(sysarg_t method, sysarg_t arg1,
     sysarg_t **data, size_t *count)
 {
@@ -83,5 +83,5 @@
 
 	size_t act_size = 0;
-	errno_t rc = inetcfg_get_ids_once(method, arg1, NULL, 0,
+	int rc = inetcfg_get_ids_once(method, arg1, NULL, 0,
 	    &act_size);
 	if (rc != EOK)
@@ -113,8 +113,8 @@
 }
 
-errno_t inetcfg_init(void)
+int inetcfg_init(void)
 {
 	service_id_t inet_svc;
-	errno_t rc;
+	int rc;
 
 	assert(inetcfg_sess == NULL);
@@ -133,5 +133,5 @@
 }
 
-errno_t inetcfg_addr_create_static(const char *name, inet_naddr_t *naddr,
+int inetcfg_addr_create_static(const char *name, inet_naddr_t *naddr,
     sysarg_t link_id, sysarg_t *addr_id)
 {
@@ -142,5 +142,5 @@
 	    &answer);
 	
-	errno_t rc = async_data_write_start(exch, naddr, sizeof(inet_naddr_t));
+	int rc = async_data_write_start(exch, naddr, sizeof(inet_naddr_t));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -158,17 +158,17 @@
 	}
 	
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	
 	*addr_id = IPC_GET_ARG1(answer);
 	
-	return retval;
-}
-
-errno_t inetcfg_addr_delete(sysarg_t addr_id)
-{
-	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
-
-	errno_t rc = async_req_1_0(exch, INETCFG_ADDR_DELETE, addr_id);
+	return (int) retval;
+}
+
+int inetcfg_addr_delete(sysarg_t addr_id)
+{
+	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
+
+	int rc = async_req_1_0(exch, INETCFG_ADDR_DELETE, addr_id);
 	async_exchange_end(exch);
 
@@ -176,5 +176,5 @@
 }
 
-errno_t inetcfg_addr_get(sysarg_t addr_id, inet_addr_info_t *ainfo)
+int inetcfg_addr_get(sysarg_t addr_id, inet_addr_info_t *ainfo)
 {
 	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
@@ -187,5 +187,5 @@
 	    sizeof(inet_naddr_t), &answer_naddr);
 	
-	errno_t retval_naddr;
+	sysarg_t retval_naddr;
 	async_wait_for(req_naddr, &retval_naddr);
 	
@@ -193,5 +193,5 @@
 		async_exchange_end(exch);
 		async_forget(req);
-		return retval_naddr;
+		return (int) retval_naddr;
 	}
 	
@@ -203,17 +203,17 @@
 	async_exchange_end(exch);
 	
-	errno_t retval_name;
+	sysarg_t retval_name;
 	async_wait_for(req_name, &retval_name);
 	
 	if (retval_name != EOK) {
 		async_forget(req);
-		return retval_name;
-	}
-	
-	errno_t retval;
+		return (int) retval_name;
+	}
+	
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	
 	if (retval != EOK)
-		return retval;
+		return (int) retval;
 	
 	size_t act_size = IPC_GET_ARG2(answer_name);
@@ -228,5 +228,5 @@
 }
 
-errno_t inetcfg_addr_get_id(const char *name, sysarg_t link_id, sysarg_t *addr_id)
+int inetcfg_addr_get_id(const char *name, sysarg_t link_id, sysarg_t *addr_id)
 {
 	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
@@ -234,5 +234,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_1(exch, INETCFG_ADDR_GET_ID, link_id, &answer);
-	errno_t retval = async_data_write_start(exch, name, str_size(name));
+	sysarg_t retval = async_data_write_start(exch, name, str_size(name));
 
 	async_exchange_end(exch);
@@ -249,5 +249,5 @@
 }
 
-errno_t inetcfg_get_addr_list(sysarg_t **addrs, size_t *count)
+int inetcfg_get_addr_list(sysarg_t **addrs, size_t *count)
 {
 	return inetcfg_get_ids_internal(INETCFG_GET_ADDR_LIST,
@@ -255,5 +255,5 @@
 }
 
-errno_t inetcfg_get_link_list(sysarg_t **links, size_t *count)
+int inetcfg_get_link_list(sysarg_t **links, size_t *count)
 {
 	return inetcfg_get_ids_internal(INETCFG_GET_LINK_LIST,
@@ -261,5 +261,5 @@
 }
 
-errno_t inetcfg_get_sroute_list(sysarg_t **sroutes, size_t *count)
+int inetcfg_get_sroute_list(sysarg_t **sroutes, size_t *count)
 {
 	return inetcfg_get_ids_internal(INETCFG_GET_SROUTE_LIST,
@@ -267,9 +267,9 @@
 }
 
-errno_t inetcfg_link_add(sysarg_t link_id)
-{
-	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
-
-	errno_t rc = async_req_1_0(exch, INETCFG_LINK_ADD, link_id);
+int inetcfg_link_add(sysarg_t link_id)
+{
+	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
+
+	int rc = async_req_1_0(exch, INETCFG_LINK_ADD, link_id);
 	async_exchange_end(exch);
 
@@ -277,8 +277,8 @@
 }
 
-errno_t inetcfg_link_get(sysarg_t link_id, inet_link_info_t *linfo)
+int inetcfg_link_get(sysarg_t link_id, inet_link_info_t *linfo)
 {
 	ipc_call_t dreply;
-	errno_t dretval;
+	sysarg_t dretval;
 	size_t act_size;
 	char name_buf[LOC_NAME_MAXLEN + 1];
@@ -289,5 +289,5 @@
 	aid_t req = async_send_1(exch, INETCFG_LINK_GET, link_id, &answer);
 	aid_t dreq = async_data_read(exch, name_buf, LOC_NAME_MAXLEN, &dreply);
-	errno_t rc = async_data_read_start(exch, &linfo->mac_addr, sizeof(addr48_t));
+	int rc = async_data_read_start(exch, &linfo->mac_addr, sizeof(addr48_t));
 	async_wait_for(dreq, &dretval);
 
@@ -299,5 +299,5 @@
 	}
 
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 
@@ -315,9 +315,9 @@
 }
 
-errno_t inetcfg_link_remove(sysarg_t link_id)
-{
-	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
-
-	errno_t rc = async_req_1_0(exch, INETCFG_LINK_REMOVE, link_id);
+int inetcfg_link_remove(sysarg_t link_id)
+{
+	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
+
+	int rc = async_req_1_0(exch, INETCFG_LINK_REMOVE, link_id);
 	async_exchange_end(exch);
 
@@ -325,5 +325,5 @@
 }
 
-errno_t inetcfg_sroute_create(const char *name, inet_naddr_t *dest,
+int inetcfg_sroute_create(const char *name, inet_naddr_t *dest,
     inet_addr_t *router, sysarg_t *sroute_id)
 {
@@ -333,5 +333,5 @@
 	aid_t req = async_send_0(exch, INETCFG_SROUTE_CREATE, &answer);
 	
-	errno_t rc = async_data_write_start(exch, dest, sizeof(inet_naddr_t));
+	int rc = async_data_write_start(exch, dest, sizeof(inet_naddr_t));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -356,17 +356,17 @@
 	}
 	
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	
 	*sroute_id = IPC_GET_ARG1(answer);
 	
-	return retval;
-}
-
-errno_t inetcfg_sroute_delete(sysarg_t sroute_id)
-{
-	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
-
-	errno_t rc = async_req_1_0(exch, INETCFG_SROUTE_DELETE, sroute_id);
+	return (int) retval;
+}
+
+int inetcfg_sroute_delete(sysarg_t sroute_id)
+{
+	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
+
+	int rc = async_req_1_0(exch, INETCFG_SROUTE_DELETE, sroute_id);
 	async_exchange_end(exch);
 
@@ -374,5 +374,5 @@
 }
 
-errno_t inetcfg_sroute_get(sysarg_t sroute_id, inet_sroute_info_t *srinfo)
+int inetcfg_sroute_get(sysarg_t sroute_id, inet_sroute_info_t *srinfo)
 {
 	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
@@ -385,5 +385,5 @@
 	    sizeof(inet_naddr_t), &answer_dest);
 	
-	errno_t retval_dest;
+	sysarg_t retval_dest;
 	async_wait_for(req_dest, &retval_dest);
 	
@@ -391,5 +391,5 @@
 		async_exchange_end(exch);
 		async_forget(req);
-		return retval_dest;
+		return (int) retval_dest;
 	}
 	
@@ -398,5 +398,5 @@
 	    sizeof(inet_addr_t), &answer_router);
 	
-	errno_t retval_router;
+	sysarg_t retval_router;
 	async_wait_for(req_router, &retval_router);
 	
@@ -404,5 +404,5 @@
 		async_exchange_end(exch);
 		async_forget(req);
-		return retval_router;
+		return (int) retval_router;
 	}
 	
@@ -414,17 +414,17 @@
 	async_exchange_end(exch);
 	
-	errno_t retval_name;
+	sysarg_t retval_name;
 	async_wait_for(req_name, &retval_name);
 	
 	if (retval_name != EOK) {
 		async_forget(req);
-		return retval_name;
-	}
-	
-	errno_t retval;
+		return (int) retval_name;
+	}
+	
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	
 	if (retval != EOK)
-		return retval;
+		return (int) retval;
 	
 	size_t act_size = IPC_GET_ARG2(answer_name);
@@ -438,5 +438,5 @@
 }
 
-errno_t inetcfg_sroute_get_id(const char *name, sysarg_t *sroute_id)
+int inetcfg_sroute_get_id(const char *name, sysarg_t *sroute_id)
 {
 	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
@@ -444,5 +444,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_0(exch, INETCFG_SROUTE_GET_ID, &answer);
-	errno_t retval = async_data_write_start(exch, name, str_size(name));
+	sysarg_t retval = async_data_write_start(exch, name, str_size(name));
 
 	async_exchange_end(exch);
Index: uspace/lib/c/generic/inetping.c
===================================================================
--- uspace/lib/c/generic/inetping.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/inetping.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -44,8 +44,8 @@
 static inetping_ev_ops_t *inetping_ev_ops;
 
-errno_t inetping_init(inetping_ev_ops_t *ev_ops)
+int inetping_init(inetping_ev_ops_t *ev_ops)
 {
 	service_id_t inetping_svc;
-	errno_t rc;
+	int rc;
 
 	assert(inetping_sess == NULL);
@@ -80,5 +80,5 @@
 }
 
-errno_t inetping_send(inetping_sdu_t *sdu)
+int inetping_send(inetping_sdu_t *sdu)
 {
 	async_exch_t *exch = async_exchange_begin(inetping_sess);
@@ -87,5 +87,5 @@
 	aid_t req = async_send_1(exch, INETPING_SEND, sdu->seq_no, &answer);
 
-	errno_t rc = async_data_write_start(exch, &sdu->src, sizeof(sdu->src));
+	int rc = async_data_write_start(exch, &sdu->src, sizeof(sdu->src));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -110,11 +110,11 @@
 	}
 
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 
-	return retval;
-}
-
-errno_t inetping_get_srcaddr(const inet_addr_t *remote, inet_addr_t *local)
+	return (int) retval;
+}
+
+int inetping_get_srcaddr(const inet_addr_t *remote, inet_addr_t *local)
 {
 	async_exch_t *exch = async_exchange_begin(inetping_sess);
@@ -123,5 +123,5 @@
 	aid_t req = async_send_0(exch, INETPING_GET_SRCADDR, &answer);
 
-	errno_t rc = async_data_write_start(exch, remote, sizeof(*remote));
+	int rc = async_data_write_start(exch, remote, sizeof(*remote));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -136,16 +136,16 @@
 	async_exchange_end(exch);
 
-	errno_t retval_local;
+	sysarg_t retval_local;
 	async_wait_for(req_local, &retval_local);
 
 	if (retval_local != EOK) {
 		async_forget(req);
-		return retval_local;
-	}
-
-	errno_t retval;
+		return (int) retval_local;
+	}
+
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 
-	return retval;
+	return (int) retval;
 }
 
@@ -170,5 +170,5 @@
 	}
 
-	errno_t rc = async_data_write_finalize(callid, &sdu.src, size);
+	int rc = async_data_write_finalize(callid, &sdu.src, size);
 	if (rc != EOK) {
 		async_answer_0(callid, rc);
Index: uspace/lib/c/generic/io/asprintf.c
===================================================================
--- uspace/lib/c/generic/io/asprintf.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/io/asprintf.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -79,5 +79,5 @@
  * @args       Variable argument list
  *
- * @return Number of characters printed or an error code.
+ * @return Number of characters printed or a negative error code.
  *
  */
@@ -106,5 +106,5 @@
  * @fmt        Format string.
  *
- * @return Number of characters printed or an error code.
+ * @return Number of characters printed or a negative error code.
  *
  */
Index: uspace/lib/c/generic/io/chardev.c
===================================================================
--- uspace/lib/c/generic/io/chardev.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/io/chardev.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -50,5 +50,5 @@
  * @return EOK on success, ENOMEM if out of memory, EIO on I/O error
  */
-errno_t chardev_open(async_sess_t *sess, chardev_t **rchardev)
+int chardev_open(async_sess_t *sess, chardev_t **rchardev)
 {
 	chardev_t *chardev;
@@ -94,5 +94,5 @@
  * @return EOK on success or non-zero error code
  */
-errno_t chardev_read(chardev_t *chardev, void *buf, size_t size, size_t *nread)
+int chardev_read(chardev_t *chardev, void *buf, size_t size, size_t *nread)
 {
 	async_exch_t *exch = async_exchange_begin(chardev->sess);
@@ -105,5 +105,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_0(exch, CHARDEV_READ, &answer);
-	errno_t rc = async_data_read_start(exch, buf, size);
+	int rc = async_data_read_start(exch, buf, size);
 	async_exchange_end(exch);
 
@@ -114,5 +114,5 @@
 	}
 
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 
@@ -124,5 +124,5 @@
 	*nread = IPC_GET_ARG2(answer);
 	/* In case of partial success, ARG1 contains the error code */
-	return (errno_t) IPC_GET_ARG1(answer);
+	return IPC_GET_ARG1(answer);
 
 }
@@ -144,5 +144,5 @@
  * @return EOK on success or non-zero error code
  */
-static errno_t chardev_write_once(chardev_t *chardev, const void *data,
+static int chardev_write_once(chardev_t *chardev, const void *data,
     size_t size, size_t *nwritten)
 {
@@ -150,5 +150,5 @@
 	ipc_call_t answer;
 	aid_t req;
-	errno_t rc;
+	int rc;
 
 	/* Break down large transfers */
@@ -166,5 +166,5 @@
 	}
 
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	if (retval != EOK) {
@@ -175,5 +175,5 @@
 	*nwritten = IPC_GET_ARG2(answer);
 	/* In case of partial success, ARG1 contains the error code */
-	return (errno_t) IPC_GET_ARG1(answer);
+	return IPC_GET_ARG1(answer);
 }
 
@@ -193,10 +193,10 @@
  * @return EOK on success or non-zero error code
  */
-errno_t chardev_write(chardev_t *chardev, const void *data, size_t size,
+int chardev_write(chardev_t *chardev, const void *data, size_t size,
     size_t *nwritten)
 {
 	size_t nw;
 	size_t p;
-	errno_t rc;
+	int rc;
 
 	p = 0;
Index: uspace/lib/c/generic/io/chardev_srv.c
===================================================================
--- uspace/lib/c/generic/io/chardev_srv.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/io/chardev_srv.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -49,5 +49,5 @@
 	size_t size;
 	size_t nread;
-	errno_t rc;
+	int rc;
 	ipc_callid_t rcallid;
 
@@ -82,5 +82,5 @@
 
 	free(buf);
-	async_answer_2(callid, EOK, (sysarg_t) rc, nread);
+	async_answer_2(callid, EOK, rc, nread);
 }
 
@@ -91,5 +91,5 @@
 	size_t size;
 	size_t nwr;
-	errno_t rc;
+	int rc;
 
 	rc = async_data_write_accept(&data, false, 0, 0, 0, &size);
@@ -111,5 +111,5 @@
 	}
 
-	async_answer_2(callid, EOK, (sysarg_t) rc, nwr);
+	async_answer_2(callid, EOK, rc, nwr);
 }
 
@@ -132,8 +132,8 @@
 }
 
-errno_t chardev_conn(ipc_callid_t iid, ipc_call_t *icall, chardev_srvs_t *srvs)
+int chardev_conn(ipc_callid_t iid, ipc_call_t *icall, chardev_srvs_t *srvs)
 {
 	chardev_srv_t *srv;
-	errno_t rc;
+	int rc;
 
 	/* Accept the connection */
